package cn.com.poc.equity.service;

import cn.com.poc.equity.entity.BizMemberPointsEntity;
import cn.com.yict.framemax.core.service.BaseService;
import cn.com.yict.framemax.data.model.PagingInfo;

import java.util.List;

public interface BizMemberPointsService extends BaseService {

    BizMemberPointsEntity get(java.lang.Long id) throws Exception;

    List<BizMemberPointsEntity> findByExample(BizMemberPointsEntity example, PagingInfo pagingInfo);

    BizMemberPointsEntity save(BizMemberPointsEntity entity) throws Exception;

    BizMemberPointsEntity update(BizMemberPointsEntity entity) throws Exception;

    void deletedById(java.lang.Long id) throws Exception;

    /**
     * 获取用户剩余可用积分
     *
     * @param memberId
     * @return 可用积分 - 单位为分，需要除以100得出到最终积分数
     */
    Long getMemberPoints(Long memberId);

}